#include "UserDb.h"

using namespace userdb;

UserDb::UserDb(){

}
UserDb::User UserDb::read_csv_line(String instring){
    int locations[5];
    int location_index=0;
    int str_length = instring.length()-1;
    for(int i = 0; i<str_length;i++){
        if(instring.charAt(i) == ','){
            locations[location_index]=i;
            location_index++;
        }

    }
    UserDb::User res;
    res.uid = instring.substring(0,locations[0]).toInt();
    res.first_name = instring.substring(locations[0]+1,locations[1]);
    res.last_name = instring.substring(locations[1]+1,locations[2]);
    res.rfid_uid = instring.substring(locations[2]+1,locations[3]);
    res.user_pin = instring.substring(locations[3]+1,locations[4]);
    res.enabled = instring.charAt(locations[4]+1)=='1'?true:false;
    return res;
}

void UserDb::test(){
    Serial.println("Starting UserDB Read");
    File userdb_file = LittleFS.open("userdb.csv","r");
    if (!userdb_file)
    {
        Serial.println("Failed to open file for reading");
        return;
    }
    unsigned int line = 0;
    while(userdb_file.available()){
        String temp = userdb_file.readStringUntil('\n');
        
        Serial.println(read_csv_line(temp).toString());
        line++;
    }
}

