#pragma once
#include "Persistence.h"
#include "LittleFS.h"
#include <sstream>
namespace userdb
{
    class UserDb
    {
    private:
        

    public:
        UserDb();
        void test();
        void PrintAll();
        struct User
        {
            // User(unsigned long new_uid): uid(new_uid){}
            unsigned long uid;
            mutable String first_name;
            mutable String last_name;
            mutable String rfid_uid;
            mutable String user_pin;
            mutable bool enabled = true;
            bool operator<(const User &o) const { return uid < o.uid; }
            bool operator==(const User &o) const { return uid == o.uid; }
            String toString()
            {
                return "ID: " + String(uid) + " Name: " + last_name + " " + first_name + " Enabled: " + (enabled ? "Yes" : "No");
            }
        };
        User read_csv_line(String);
    };
}